<?php
/*
Plugin Name: Testimonials Slider 
Plugin URI: http://www.NtechCorporate.com
Description: Manage and display testimonials for your blog, product or service. Automatically rotate testimonials in your sidebar and create a full testimonials page. 
Author: N-Tech Technologies PVT LTD
Version: 1.0.0
Author URI: http://www.NtechCorporate.com
*/
function testimonials_init() {
    $args = array(
        'public' => true,
        'label' => 'Testimonials',
        'supports' => array(
            'title',
            'editor',
            'custom-fields',
			'thumbnail'
        )
    );
    register_post_type('testimonials', $args);
}
 
add_action('init', 'testimonials_init');


function set_testimonial_custom_fields($post_id) {
    if ( $_GET['post_type'] == 'testimonials' ) {
 
        add_post_meta($post_id, 'Client Name', '', true);
        add_post_meta($post_id, 'Link', '', true);
 
    }
 
    return true;
}
 
add_action('wp_insert_post', 'set_testimonial_custom_fields');

// Adding the Slide.js script and our script
function testimonials_register_scripts() {
    // Only add these script if we are not in the admin dashboard
    if (!is_admin()) {
		
		// Enqueing style
		wp_register_style('testimonials_demo_style', plugins_url('/css/demoslider.css', __FILE__));	
		
		wp_enqueue_style( 'testimonials_demo_style' );
        // Registering scripts
        //wp_register_script('testimonials_slide_js', plugins_url('js/jquery.slides.min.js', __FILE__), array('jquery') );
		wp_register_script('testimonials_slide_js', plugins_url('/js/jquery.bxslider.min.js', __FILE__), array('jquery') );		
        wp_register_script('testimonials_script', plugins_url('/js/script.js', __FILE__), array('jquery') );
 
        // Enqueing scripts
        wp_enqueue_script('testimonials_slide_js');
        wp_enqueue_script('testimonials_script');
		
    }
}
 
add_action('wp_print_scripts', 'testimonials_register_scripts');

// Adding the Slide.js script and our script
function testimonials_register_styles() {
    // Only add these script if we are not in the admin dashboard
    if (!is_admin()) {
		
		// Enqueing style
		wp_register_style('testimonials_demo_style', plugins_url('/css/demoslider.css', __FILE__));	
		
		wp_enqueue_style( 'testimonials_demo_style' );
        // Registering scripts
    }
}
 
add_action('wp_print_styles', 'testimonials_register_styles');

// Displaying the testimonials
function display_testimonial_slider($atts) {
 	$a = shortcode_atts( array(
        'type' => '',
    ), $atts );
	
    // We only want posts of the testimonials type
    $args = array(
        'post_type' => 'testimonials',
        //'posts_per_page' => 5
    );
 
    // We create our html in the result variable
	$class = "testimonials-slider";
	if($a['type']=="full")
	{
		$class = "testimonials-slider-full";
	}
    $result .='<div class="container"><div class="'.$class.'">';
 
    $the_query = new WP_Query($args);
 
    // Creating a new side loop
    while ( $the_query->have_posts() ) : $the_query->the_post();
 
        $client_name_value =get_post_meta(get_the_ID(), 'Client Name', true);
        $link_value = get_post_meta(get_the_ID(), 'Link', true);
 		$url =wp_get_attachment_url( get_post_thumbnail_id($post->ID) );
        $result .='<div class="slide">'; // Start Slide
 
		if ( has_post_thumbnail() ) { // check if the post has a Post Thumbnail assigned to it.
		  $result .= '<div class="testimonials-carousel-thumbnail"><img class="kento-testimonial-author-img" width="150px" height="150px" src="'.$url.'" /></div>';
		}

        // Displaying the content
        $result .= '<div class="testimonials-carousel-context">';
		// Displaying the author of the testimonial and also creating a link if the Link custom field is provided
        if ($link_value != '') {
            $result .= '<div class="testimonials-name"><a href="http://'.$link_value.'" >'.$client_name_value.'</a></div>';
        }
        else {
            $result .= '<div class="testimonials-name">'.$client_name_value.'</div>';
        }
		
		$result .= ' <div class="testimonials-carousel-content">'.get_the_content().'</div>';
		$result .= '</div>';
 
        $result .='</div>'; // End Slide
 
    endwhile;
   $result .= '</div></div>';
 
    return $result;
}

// Adding shortcode
add_shortcode('show_testimonials', 'display_testimonial_slider');
 
?>